I came across this problem in WSAD 5.1.2 - Build id: 20040506_1735.
You can get this problem if any plugin.xml is having <plugin ...> without id and version. In my case it was com.atlassw.tools.eclipse.checkstyle_4.0.0/plugin.xml. I updated plugin.xml-> <plugin> tag with a version and id and it worked.

<plugin
id="com.atlassw.tools.eclipse.checkstyle"
version="4.0.0">